Twitter Facebook Google Plus Linked in

Compatibility with macOS 11 - Big Sur

 

 

This article provides information about the compatibility of LaCie hardware and software with macOS 11 Big Sur and compatibility with Intel and Apple Silicon (M1) based Macs.

 

As with every new major operating system update or release, LaCie evaluates current products to determine their compatibility with the new operating system. Compatibility information for LaCie hardware and software is listed below.


Hardware:

Current Products, which LaCie considers USB 3.0, USB 3.1 and/or Thunderbolt 2 or 3 capable, are listed in the following table. Older drives that are not listed in this table may work, but have not been tested.

 
Product Hardware
Rugged Family Yes
d2 Family Yes
big Family* Yes (Intel-based Macs; see below for M1 Macs)
Rackmount Yes
Porsche Family Yes
Limited Edition/Extreme Products Yes
Fuel Yes with latest firmware
Portable Drive Yes
DJI Copilot Yes

 

*IMPORTANT! Combatibility with Apple Silicon Macs

The products below are not compatible or have limited compatibility with Apple Silicon Macs (M1)LaCie is working to address compatibility issues.  

big Data Access RAID Management

2big Dock Thunderbolt 3

2big RAID

YES

YES

 5big Thunderbolt 2 

8big Thunderbolt 2

NO

NO

6big Thunderbolt 3

12big Thunderbolt 3

  • Thunderbolt 3: NO
  • USB: YES; volumes are acessible when the device is connected via the USB port but only on the first array. Make certain that your 6big/12big Thunderbolt 3 has only one array. Volumes on additional arrays are not accessible.
  • LaCie RAID Manager is not compatible with Thunderbolt 3 on Apple Silicon Macs.
  • LaCie RAID Manager can manage one array via USB.
  • Perform RAID management via Thunderbolt 3 on an Intel-based Mac.

 

 

*IMPORTANT!  5big and 8big Thunderbolt 2 products require the latest RAID firmware on Intel-based Macs. If LaCie RAID Manager isn't detecting your device, please follow the instructions here to update your firmware. 
 

Note: If a pop-up blocker is installed, you may need to disable it in order to access the links. Or you can press the Command key and click on the link to open it in a new tab.

 


Software:

Certain applications require an update for proper functionality with macOS 11 Big Sur. Detailed information about each software can be found in its respective support page.

The following table lists LaCie software applications and whether or not they're compatible with macOS 11 Big Sur:
 

Software Version Requirements
 

2.9.3


Apple silicon based Macs: Need to change security settings. See instructions here.

Intel based Macs: Enabling Security Settings may be required. See instructions here.

Toolkit 1.13.x

Enabling Security Settings may be required if using the security feature. See instructions here.

Seagate Secure requires 2.3.0.x or higher.

Apple silicon Mac require Seagate Secure 2.4.1.x or higher and need to change security settings - How to change security settings


LaCie Desktop Manager

3.2.0

No, the software was not updated. Last supported operating system was macOS 10.14 (Mojave)

LaCie Setup Assistant

3.1
Some LaCie products that are still available for sale might not feature the latest version of LSA. For further assistance with LaCie Setup Assistant, please see here.

LaCie Private-Public**

1.9.5

No, the software was not updated. Last supported operating system was macOS 10.13 High Sierra.

Network Assistant*

1.2.1

No, the software was not updated. Last supported operating system was macOS 10.13 High Sierra.

Intego Backup Assistant

2.x

Enabling Security Settings may be required. See instructions here.

Intego Backup Manager Pro

2.1

Enabling Security Settings may be required. See instructions here.

 

 

*Indicates that the software is 32-bit and will not work in macOS 11 Big Sur.


If during the software installation you received an alert message “System Extension Blocked”, please click here.